Get an owner by ID
https://api.propexo.com/v1/owners/:owner_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the owner
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getAllPortfolios |
78912890The external ID of the property from the integration vendor
| Method |
|---|
| getAllPortfolios |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE
nullThe first address line associated with the owner
| Method |
|---|
| getAllPortfolios |
122 Bay AvenueThe second address line associated with the owner
| Method |
|---|
| getAllPortfolios |
Suite 3The city associated with the owner
| Method |
|---|
| getAllPortfolios |
San FranciscoThe country associated with the owner
| Method |
|---|
| getAllPortfolios |
USAThe state associated with the owner
| Method |
|---|
| getAllPortfolios |
CAThe zip code associated with the owner
| Method |
|---|
| getAllPortfolios |
12374The first name associated with the owner
This is the owner's first name that's stored in Propertware. This is not neccessarily the same as the "nameOnCheck" field from Propertyware. Contact support if you'd like the "nameOnCheck" field.
| Method |
|---|
| getAllPortfolios |
JohnThe middle name associated with the owner
This field will always be null for PROPERTYWARE
nullThe last name associated with the owner
| Method |
|---|
| getAllPortfolios |
DoeThe name of the company associated with the owner
| Method |
|---|
| getAllPortfolios |
John's Property Management CoNotes associated with the owner
This field will always be null for PROPERTYWARE
nullThe primary email address associated with the owner
| Method |
|---|
| getAllPortfolios |
[email protected]The secondary email address associated with the owner
This field will always be null for PROPERTYWARE
nullPrimary phone number associated with the owner
| Method |
|---|
| getAllPortfolios |
(555) 555-5555Type of the primary phone number
| Method |
|---|
| getAllPortfolios |
Show 5 enum values
FAXHOMEMOBILEOTHERWORKMOBILESecondary phone number associated with the owner
| Method |
|---|
| getAllPortfolios |
(555) 555-5554Type of the secondary phone number
| Method |
|---|
| getAllPortfolios |
Show 5 enum values
FAXHOMEMOBILEOTHERWORKHOMEThe property IDs associated with the owner
| Method |
|---|
| getBuildingsForPortfolio |
cm22ciaag4068540708shp6tp1a0gtdjThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
PROPERTYWAREAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWAREThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/owners/:owner_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "78912890",
"x_property_id": "na",
"x_location_id": null,
"address_1": "122 Bay Avenue",
"address_2": "Suite 3",
"city": "San Francisco",
"country": "USA",
"state": "CA",
"zip": "12374",
"first_name": "John",
"middle_name": null,
"last_name": "Doe",
"company_name": "John's Property Management Co",
"notes": null,
"email_2": null,
"phone_1": "(555) 555-5555",
"phone_1_type": "MOBILE",
"phone_2": "(555) 555-5554",
"phone_2_type": "HOME",
"associated_property_ids": "cm22ciaag4068540708shp6tp1a0gtdj",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}